apiVersion: helm.toolkit.fluxcd.io/v2
kind: HelmRelease
metadata:
  name: workspaces-v2-frontend-static
  namespace: workspaces

spec:
  interval: 10m

  chart:
    spec:
      chart: universal-chart
      version: "0.1.7"
      sourceRef:
        kind: HelmRepository
        name: yc-oci-charts
        namespace: flux-system
      interval: 10m

  install:
    remediation:
      retries: 3

  upgrade:
    remediation:
      retries: 3

  values:
    global:
      env: _default

    services:
      frontend:
        enabled: true

        image:
          name:
            _default: cr.yandex/crp3ccidau046kdj8g9q/workspaces-v2-frontend:contour_8b87e5b0
          pullPolicy:
            _default: IfNotPresent

        deployment:
          enabled: true

          name:
            _default: workspaces-v2-frontend-static

          replicaCount:
            _default: 1
            stage: 1
            preprod: 3
            production: 3

          port:
            _default: 80

          probes:
            liveness:
              enabled: false
            readiness:
              enabled: false

        service:
          enabled: true

          name:
            _default: workspaces-v2-frontend-static-service


          type:
            _default: ClusterIP

          port:
            _default: 8080

          targetPort:
            _default: 80

          portName:
            _default: http

        imagePullSecrets:
          enabled:
            _default: true
          name:
            _default: regcred
        volumes:
          _default:
            - name: nginx-configmap
              mountPath:
                _default: /etc/nginx/nginx.conf
              subPath:
                _default: nginx.conf
              readOnly:
                _default: true
              configMap:
                name:
                  _default: nginx-configmap
                items:
                  - key: nginx.conf
                    path: nginx.conf
                defaultMode: 420



        commitSha: ""
        gitlabUri: ""
        gitlabJobUrl: ""
        owner: ""